unit CalBrows;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, Calendar, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Calendar1: TCalendar;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    procedure Calendar1Change(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Calendar1Change(Sender: TObject);
begin
  Caption := FormatDateTime('mmmm d, yyyy', Calendar1.CalendarDate);
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
  Calendar1.NextYear;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Calendar1.PrevYear;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  Calendar1.PrevMonth;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  Calendar1.NextMonth;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Calendar1Change(Self);
end;

end.
